al_start_audio_recorder(3)

NAME

al_start_audio_recorder - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    bool al_start_audio_recorder(ALLEGRO_AUDIO_RECORDER *r)

DESCRIPTION

Begin recording into the fragment buffer. Once a complete fragment has been captured (as specified in al_create_audio_recorder(3)), an ALLEGRO_EVENT_AUDIO_RECORDER_FRAGMENT(3) event will be triggered.

Returns true if it was able to begin recording.

SINCE

5.1.1

    [Unstable API]: The API may need a slight redesign.